<?PHP
// ------------------------------
// Caractéristiques du module
// ------------------------------
unset($module);
$module = array(
    "titre" => "Paramétrages",
    "urldest" => $SCRIPT_NAME . "?page=parametres_centrale",
    "recherche" => array("engin" => false),
    "jeton" => $jeton,
    "msg" => array(
        "maj_ok" => "Paramétrage de la centale syndicale effectué avec succès.",
        "maj_echec" => "L'opération de paramétrage de la centrale syndicale a échouée.",
        "erreur_champ" => "Un des champs est vide ou incorrectement inscrit."
    ),
    "boutonfermeraction" => "RevenirMenuPrecedent",
    "menuprecedent" => "utilitaires"
);

require_once("lib/libphotos.inc.php");

// -----------------------
// Opération de sauvegarde
// -----------------------
if (isset($action)) {
    $msg = "";

    //Cueillette de données du module
    $action = stripslashes(antiInjection($action));

    if ($action == "Soumettre") {
        unset($opereussie);
        $opereussie = false;

        unset($sqlparam);
        $sqlparam["table"][] = "configuration";
        $sqlparam["champs"][] = "id";
        $sqlparam["champs"][] = "valeur";
        $result = executerRequeteSql($sqlparam);
        $nbEnreg = count($result);

        //Vérification des champs, ne doit pas être vide.
        $nbChampEnErreur = 0;
        for ($x = 1; $x < $nbEnreg; $x++) {
            //Construction de la variable
            $variable = "l$x";
            $variable2 = trim($$variable);
            //Ne doit pas vérifier le logo en position #18, il est vérifier plus bas.
            if (empty($variable2)) {
                $nbChampEnErreur++;
            }
        }

        //Champs vides ?
        if ($nbChampEnErreur > 0) {
            $module["message"] = $module["msg"]["erreur_champ"];
        } elseif ($nbChampEnErreur == 0 && !isValidCodePostal($l5)) {
            // Code postal
            $nbChampEnErreur = 1;
            $module["message"] = "Code postal invalide";
        } elseif ($nbChampEnErreur == 0 && !isValidPhone($l7)) {
            //Téléphone 
            $nbChampEnErreur = 1;
            $module["message"] = "Numéro de téléphone invalide";
        } elseif ($nbChampEnErreur == 0 && !isValidPhone($l8)) {
            //Télécopieur
            $nbChampEnErreur = 1;
            $module["message"] = "Numéro de télécopieur invalide";
        } elseif ($nbChampEnErreur == 0 && !isValidPhone($l9)) {
            //Sans frais
            $nbChampEnErreur = 1;
            $module["message"] = "Numéro de téléphone sans frais invalide";
        } elseif (!filter_var($l12, FILTER_VALIDATE_EMAIL)) {
            // Email de la centrale
            $nbChampEnErreur = 1;
            $module["message"] = "L'adresse courriel est requise et doit être valide.";
        } elseif (!filter_var($l13, FILTER_VALIDATE_URL)) {
            //Site web
            $nbChampEnErreur = 1;
            $module["message"] = "Le site web doit est requis et doit être valide.";
        } elseif (!filter_var($l16, FILTER_VALIDATE_EMAIL)) {
            //Adresse courriel de la personne contact
            $nbChampEnErreur = 1;
            $module["message"] = "L'adresse courriel est requise et doit être valide.";
        } elseif ($nbChampEnErreur == 0 && !isValidPhone($l17)) {
            //Téléphone personne contact
            $nbChampEnErreur = 1;
            $module["message"] = "Numéro de téléphone invalide";
        } elseif ($nbChampEnErreur == 0 && isset($_FILES['logo']) && is_null($_FILES['logo']['name']) && empty($result[$x]["valeur"])) {
            $nbChampEnErreur = 1;
            $module["message"] = "Logo de la centrale syndicale est requis";
        }

        // Conditions de base remplies
        // Toujours pas d'erreur, nous continuons.
        if ($nbChampEnErreur == 0) {
            $nbOperationSQLReussie = 0;
            for ($x = 1; $x < $nbEnreg; $x++) {
                //Ne pas inclure le logo
                if ($x < 18) {
                    //Construction de la variable
                    $variable = "l$x";
                    $variable2 = $$variable;

                    unset($sqlparam);
                    $sqlparam["type"] = "UPDATE";
                    $sqlparam["table"][] = "configuration";
                    $sqlparam["champs"]["valeur"] = sprintf("'%s'", $variable2);
                    $sqlparam["where"][] = "id=$x";
                    $result = executerRequeteSql($sqlparam);

                    if ($result) {
                        $nbOperationSQLReussie++;
                    }
                }
            }
            //Traitement spéciale pour le logo
            if (isset($_FILES['logo']) && strlen($_FILES['logo']['name']) > 0) { // && !is_null($_FILES['logo']['name'])) {
                $retour = creerLogo($_FILES['logo'], "./logo/", $_SESSION['syndicat']);
                if ($retour == "Logo téléversé") {
                    $nbOperationSQLReussie++;
                } else {
                    $module["message"] = $retour;
                    $erreur = 1;
                }
            } else {
                $nbOperationSQLReussie++;
            }
            if ($nbOperationSQLReussie == 18) {
                $opereussie = true;
            }
        } else {
            $erreur = 1;
        }
        if (isset($opereussie) && $opereussie) {
            $module["resultatSQL"] = true;
            $module["message"] = $module["msg"]["maj_ok"];
        } else if (isset($erreur) && $erreur) {
            $module["resultatSQL"] = false;
            if (empty($module["message"])) {
                $module["message"] = $module["msg"]["erreur_champ"];
            }
        }
    }
}

unset($sqlparam);
$sqlparam["table"][] = "configuration";
$sqlparam["champs"][] = "clef";
$sqlparam["champs"][] = "etiquette";
$sqlparam["champs"][] = "valeur";

$result = executerRequeteSql($sqlparam);

print preparerModule($module);
?>
<div style="position:relative; width:1200px; height:auto; margin:auto; z-index: 101;" tabindex="-1" role="dialog" 
     class="ui-dialog ui-corner-all ui-widget ui-widget-content ui-front " aria-describedby="fenetremodale" aria-labelledby="ui-id-1">
    <div class="ui-dialog-titlebar ui-corner-all ui-widget-header ui-helper-clearfix">
        <span id="ui-id-1" class="ui-dialog-title">Paramétrage de la centrale syndicale</span>
    </div>
    <div id="fenetremodale" style="width: auto; min-height: 0px; max-height: none; height: 675px;" class="ui-dialog-content ui-widget-content">
        <?php
        print "<table width='100%' border='0' >\n";
        print "<tr>\n";
        print "<td align='center' width='100%'>\n";
        print "<div style='background:#f2f6f7'>\n";

        // Exécution de l'envoi des données du formulaire
        // ----------------------------------------------
        print "<form action='" . $SCRIPT_NAME . "?page=parametres_centrale";
        print "&jeton=" . $jeton . "' method='post' id='frmModif' name='frmModif' "; //>\n";
        print "ENCTYPE=\"multipart/form-data\" onSubmit='return ValidationFormulaire();'";
        print ">\n";
        print "<table width='100%'>\n";
        print "<tr>\n";
        print "<td colspan='2'>\n";
        print "<table width='100%'>\n";
        print "<tr>\n";
        print "</tr>\n";
        print "</table>\n";
        print "</td>\n";
        print "</tr>\n";

        $cpt = 1;

        foreach ($result as $clef => $valeur) {
            print "<tr>";
            print "<td>" . $valeur["etiquette"] . " : </td>";
            print "<td>";
            if ($valeur["clef"] != "logo") {
                $valeurForm = (empty($valeur["valeur"]) ? "" : htmlentities($valeur["valeur"]));
                print "<INPUT TYPE='text' id='l$cpt' NAME='l$cpt' Value='$valeurForm' SIZE='100' MAXLENGTH='100' >";
            } else {
                print "<INPUT TYPE='file' id='logo' NAME='logo' Value=''>";
                print "Laisser vide pour garder le même logo / format jpeg et png autorisés\n";
            }
            print "</td>";
            print "</tr>";

            $cpt++;
        }
        print "<td colspan='2' style='text-align:center; height:50px'>\n";
        print "<input class='styled' type=\"submit\" id='boutonaction' name='action' value=\"Soumettre\">";
        print "</td>\n</tr>\n";
        print "</table></form>\n";
        print "</div></td>\n";
        print "</tr></table>\n";
        print "</div>\n";
        print "</div>\n";
        ?>
    </div>
</div>
<script type="text/javascript">
    function ValidationFormulaire()
    {
        var msgCentrale = "Nom de la centrale syndicale requis.";
        var msgAcronyme = "Nom de l'acronyme requis.";
        var msgAdresse = "Adresse requise.";
        var msgVille = "Nom de la ville requis.";
        var msgCodePostal1 = "Code postal valide et requis.";
        var msgProvince = "Nom de la province requis.";
        var msgTel1 = "Numéro de téléphone valide et requis.";
        var msgTel2 = "Numéro de télécopieur valide requis.";
        var msgSansFrais = "Numéro sans frais valide requis.";
        var msgPresidence = "Nom de la personne à la présidence requis";
        var msgPoste = "Nom du poste ou titre requis.";
        var msgEmail = "Adresse de courriel de la centrale valide et requise";
        var msgSiteWeb = "Adresse du site web requis.";
        var msgContactNom = "Nom de la personne contact requis.";
        var msgContactPoste = "Poste ou titre de la personne contact requis.";
        var msgContactEmail = "Adresse courriel de la personne contact valide et requise.";
        var msgContactTel = "Numéro de téléphone de la personne contact valide et requis.";

        if ($("#l1").val() === "") {
            jAlert(msgCentrale);
            return false;
        } else if ($("#l2").val() === "") {
            jAlert(msgAcronyme);
            return false;
        } else if ($("#l3").val() === "") {
            jAlert(msgAdresse);
            return false;
        } else if ($("#l4").val() === "") {
            jAlert(msgVille);
            return false;
        } else if (!isPostCode($("#l5").val())) {
            jAlert(msgCodePostal1);
            return false;
        } else if ($("#l6").val() === "") {
            jAlert(msgProvince);
            return false;
        } else if (!isTelephone($("#l7").val())) {
            jAlert(msgTel1);
            return false;
        } else if (!isTelephone($("#l8").val())) {
            jAlert(msgTel2);
            return false;
        } else if (!isTelephone($("#l9").val())) {
            jAlert(msgSansFrais);
            return false;
        } else if ($("#l10").val() === "") {
            jAlert(msgPresidence);
            return false;
        } else if ($("#l11").val() === "") {
            jAlert(msgPoste);
            return false;
        } else if (!isCourrielValide($("#l12").val())) {
            jAlert(msgEmail);
            return false;
        } else if ($("#l13").val() === "") {
            jAlert(msgSiteWeb);
            return false;
        } else if ($("#l14").val() === "") {
            jAlert(msgContactNom);
            return false;
        } else if ($("#l15").val() === "") {
            jAlert(msgContactPoste);
            return false;
        } else if (!isCourrielValide($("#l16").val())) {
            jAlert(msgContactEmail);
            return false;
        } else if (!isTelephone($("#l17").val())) {
            jAlert(msgContactTel);
            return false;
        }

        //closeRemote();
        return true;
    }

    // Mise en place des masques de saisie
    $(document).ready(function () {
        $("#l5").mask("a9a 9a9");
        $("#l7").mask("(999) 999-9999");
        $("#l8").mask("(999) 999-9999");
        $("#l9").mask("(999) 999-9999");
        $("#l17").mask("(999) 999-9999");
        $("#frmModif").validate();
    });
</script>